Keyboard Support in JavaScript Rich Text Editor

The editor has full keyboard accessibility that includes shortcuts to open and other actions with toolbar items, drop-down lists, and dialogs.

HTML editor shortcut keys

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode as HTML.

Toolbar

The toolbar shortcuts allow quick navigation and interaction with the toolbar elements, including focusing, moving between tools, and executing actions like closing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 + F10
Move to the next tool , + F
Move to the previous tool , + F
Close dropdowns/menu and dialogs Esc Esc
Execute the currently focused tool action Enter, Space Enter, Space

Content editing and formatting

These keyboard shortcuts allow for quick access to content editing features like bold, italic, and text selection.

Actions Windows Mac
Select all content Ctrl + A + A
Insert a hard line break (a new paragraph) Enter Enter
Insert a soft line break (without starting a new paragraph) Shift + Enter + Enter
Make text bold Ctrl + B + B
Italicize text Ctrl + I + I
Apply strikethrough Ctrl + Shift + S + + S
Insert inline code Ctrl + ` + `
Create link Ctrl + K + K
Copy format painter Alt + Shift + C + + C
Paste format painter Alt + Shift + V + + V
Clear the copy format painter Esc Esc
Insert tab space (when enableTabKey is enabled) Tab Tab

Inserting

These shortcuts enable you to quickly insert tables, images, audio, and videos into your content.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E + + E
Open the insert image dialog Ctrl + Shift + I + + I
Open the insert audio dialog Ctrl + Shift + A + + A
Open the insert video dialog Ctrl + Alt + V + + V

Table cell

These shortcuts assist in navigating between table cells and managing table rows easily.

Actions Windows Mac
Move the selection to the next cell Tab Tab
Move the selection to the previous cell Shift + Tab + Tab
Insert a new table row (when in the last cell) Tab Tab
Navigate through the table (using arrow keys) , , , , , ,

Text manipulation

These shortcuts allow you to manipulate text, such as changing case or applying superscript/subscript formatting.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U + + U
Convert text to lowercase Ctrl + Shift + L + + L
Apply superscript Ctrl + Shift + = + + =
Apply subscript Ctrl + = + =

Alignment and formatting

These shortcuts help you quickly adjust text alignment and formatting, such as left, center, or right justification.

Actions Windows Mac
Align text to the center Ctrl + E + E
Justify text Ctrl + J + J
Align text to the left Ctrl + L + L
Align text to the right Ctrl + R + R

List and indentation

These shortcuts help with creating and adjusting ordered and unordered lists, and modifying indentations.

Actions Windows Mac
Increase indent Ctrl + ] + ]
Decrease indent Ctrl + [ + [
Create an ordered list Ctrl + Shift + O + + O
Create an unordered list Ctrl + Alt + O + + O

Clipboard operations

These shortcuts streamline copying, cutting, pasting, and pasting content as plain text.

Actions Windows Mac
Copy the selected content Ctrl + C + C
Cut the selected content Ctrl + X + X
Paste the copied or cut content Ctrl + V + V
Paste content as plain text Ctrl + Shift + V + + + V

Undo & redo

These shortcuts allow you to quickly undo and redo changes to your content.

Actions Windows Mac
Undo Ctrl + Z + Z
Redo Ctrl + Y + Y

Other actions

These miscellaneous shortcuts help with actions like toggling fullscreen, clearing formatting, and accessing the HTML source.

Actions Windows Mac
View HTML source Ctrl + Shift + H + + H
Toggle fullscreen mode Ctrl + Shift + F + + F
Exit Fullscreen Esc Esc
Clear all formatting Ctrl + Shift + R + + R
var editor = new ej.richtexteditor.RichTextEditor({
    toolbarSettings: {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    },
    value: `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`
});
editor.appendTo('#editor');

document.onkeyup = function (e) {
    if (e.altKey && e.keyCode === 84 /* t */) {
        // press alt+t to focus the component.
        editor.focusIn();
    }
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Rich Text Editor</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-base/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-richtexteditor/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-inputs/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-lists/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-navigations/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-popups/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-buttons/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/ej2-splitbuttons/styles/tailwind3.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="editor"></div>
    </div>
    


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Custom key config

Customize the keyboard interactions using the keyConfig property. The following sample customizes the bold, italic, and underline toolbar actions to ctrl+alt+b, ctrl+alt+i, and ctrl+alt+u respectively.

Supported key tokens include ctrl, shift, alt, meta (or cmd), az, 09, and special keys such as enter, escape, tab, space, backspace, delete, and home/end.

The following table lists all available keyConfig options in the Rich Text Editor along with their default keyboard shortcut values. You can customize these shortcut keys based on your requirements by using the keyConfig property.

Action Default key config
toolbar-focus alt+f10
escape escape
backspace backspace
insert-link ctrl+k
insert-image ctrl+shift+i
insert-audio ctrl+shift+a
insert-video ctrl+alt+v
insert-table ctrl+shift+e
undo ctrl+z
redo ctrl+y
copy ctrl+c
cut ctrl+x
paste ctrl+v
bold ctrl+b
italic ctrl+i
underline ctrl+u
strikethrough ctrl+shift+s
uppercase ctrl+shift+u
lowercase ctrl+shift+l
superscript ctrl+shift+=
subscript ctrl+=
indents ctrl+]
outdents ctrl+[
html-source ctrl+shift+h
full-screen ctrl+shift+f
decrease-fontsize ctrl+shift+<
increase-fontsize ctrl+shift+>
justify-center ctrl+e
justify-full ctrl+j
justify-left ctrl+l
justify-right ctrl+r
clear-format ctrl+shift+r
ordered-list ctrl+shift+o
unordered-list ctrl+alt+o
space space
enter enter
shift-enter shift+enter
tab tab
shift-tab shift+tab
delete delete
format-copy alt+shift+c
format-paste alt+shift+v
inlinecode ctrl+`
code-block ctrl+shift+b
ai-query alt+enter
checklist ctrl+shift+9
print ctrl+p
checklist-toggle ctrl+enter
select-all ctrl+a
var editor = new ej.richtexteditor.RichTextEditor({
    toolbarSettings: {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    },
    keyConfig: {
        'bold': 'ctrl+alt+b',
        'italic': 'ctrl+alt+i',
        'underline': 'ctrl+alt+u',
    },
    value: `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`,
});
editor.appendTo('#editor');

document.onkeyup = function (e) {
    if (e.altKey && e.keyCode === 84 /* t */) {
        // press alt+t to focus the component.
        editor.focusIn();
    }
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Rich Text Editor</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-richtexteditor/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-lists/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-navigations/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-popups/styles/tailwind3.css" rel="stylesheet">
     <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-splitbuttons/styles/tailwind3.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="editor"></div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

See also

Keyboard Support in Angular Rich Text Editor

The Rich Text Editor has full keyboard accessibility, including shortcuts to open and perform actions with toolbar items, drop-down lists, and dialogs.

HTML editor shortcut keys

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode HTML.

Toolbar

The toolbar shortcuts allow quick navigation and interaction with the toolbar elements, including focusing, moving between tools, and executing actions like closing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 + F10
Move to the next tool , + F
Move to the previous tool , + F
Close dropdowns/menu and dialogs Esc Esc
Execute the currently focused tool action Enter, Space Enter, Space

Content editing and formatting

These keyboard shortcuts allow for quick access to content editing features like bold, italic, and text selection.

Actions Windows Mac
Select all content Ctrl + A + A
Insert a hard line break (a new paragraph) Enter Enter
Insert a soft line break (without starting a new paragraph) Shift + Enter + Enter
Make text bold Ctrl + B + B
Italicize text Ctrl + I + I
Apply strikethrough Ctrl + Shift + S + + S
Insert inline code Ctrl + ` + `
Create link Ctrl + K + K
Copy format painter Alt + Shift + C + + C
Paste format painter Alt + Shift + V + + V
Clear the copy format painter Esc Esc
Tab space (when enableTabKey is enabled) Tab Tab

Inserting

These shortcuts enable you to quickly insert tables, images, audio, and videos into your content.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E + + E
Open the insert image dialog Ctrl + Shift + I + + I
Open the insert audio dialog Ctrl + Shift + A + + A
Open the insert video dialog Ctrl + Alt + V + + V

Table cell

These shortcuts assist in navigating between table cells and managing table rows easily.

Actions Windows Mac
Move the selection to the next cell Tab Tab
Move the selection to the previous cell Shift + Tab + Tab
Insert a new table row (when in the last cell) Tab Tab
Navigate through the table (using arrow keys) , , , , , ,

Text manipulation

These shortcuts allow you to manipulate text, such as changing case or applying superscript/subscript formatting.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U + + U
Convert text to lowercase Ctrl + Shift + L + + L
Apply superscript Ctrl + Shift + = + + =
Apply subscript Ctrl + = + =

Alignment and formatting

These shortcuts help you quickly adjust text alignment and formatting, such as left, center, or right justification.

Actions Windows Mac
Align text to the center Ctrl + E + E
Justify text Ctrl + J + J
Align text to the left Ctrl + L + L
Align text to the right Ctrl + R + R

List and indentation

These shortcuts help with creating and adjusting ordered and unordered lists, and modifying indentations.

Actions Windows Mac
Increase indent Ctrl + ] + ]
Decrease indent Ctrl + [ + [
Create an ordered list Ctrl + Shift + O + + O
Create an unordered list Ctrl + Alt + O + + O

Clipboard operations

These shortcuts streamline copying, cutting, pasting, and pasting content as plain text.

Actions Windows Mac
Copy the selected content Ctrl + C + C
Cut the selected content Ctrl + X + X
Paste the copied or cut content Ctrl + V + V
Paste content as plain text Ctrl + Shift + V + + + V

Undo & Redo

These shortcuts allow you to quickly undo and redo changes to your content.

Actions Windows Mac
Undo Ctrl + Z +Z
Redo Ctrl + Y +Y

Other actions

These miscellaneous shortcuts help with actions like toggling fullscreen, clearing formatting, and accessing the HTML source.

Actions PC Mac
View HTML source Ctrl + Shift + H + + H
Toggle fullscreen mode Ctrl + Shift + F + + F
Exit Fullscreen Esc Esc
Clear all formatting Ctrl + Shift + R + + R
import { RichTextEditorModule } from '@syncfusion/ej2-angular-richtexteditor'
import { DialogModule } from '@syncfusion/ej2-angular-popups'
import { Component, ViewChild } from '@angular/core';
import { RichTextEditorComponent, ToolbarService, HtmlEditorService, ImageService, QuickToolbarService, LinkService } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
    imports: [ RichTextEditorModule, DialogModule ],
    standalone: true,
    selector: 'app-root',
    template:`<ejs-richtexteditor #defaultRTE id='defaultRTE' [(value)]='value' [toolbarSettings]='tools' (created)='onCreate()'></ejs-richtexteditor>`,
    providers: [ToolbarService, HtmlEditorService, ImageService, QuickToolbarService, LinkService ]
})

export class AppComponent  {
    @ViewChild('defaultRTE') rteObj: RichTextEditorComponent | undefined;

    public value: string = "<p>The Rich Text Editor component is a WYSIWYG (\"what you see is what you get\") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p></li><li><p>Capable of handling markdown editing.</p></li><li><p>Contains a modular library to load the necessary functionality on demand.</p></li><li><p>Provides a fully customizable toolbar.</p></li><li><p>Provides HTML view to edit the source directly for developers.</p></li><li><p>Supports third-party library integration.</p></li><li><p>Allows a preview of modified content before saving it.</p></li><li><p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager.</p></li><li><p>Creates bulleted and numbered lists.</p></li></ul>";
  
    public tools = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
        'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
        'LowerCase', 'UpperCase', '|',
        'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
        'Outdent', 'Indent', '|',
        'CreateLink', 'Image', '|', 'FormatPainter', 'ClearFormat', 'Print',
        'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    };
    
    onCreate() {
        document.onkeyup = (e: KeyboardEvent) => {
            if (e.altKey && (e.key === 't' || e.key === 'T')) {
                this.rteObj.focusIn();
            }
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Customize the key config

You can customize the key config for the keyboard interaction of the Rich Text Editor using the keyConfig property.

In the sample below, the bold, italic, and underline toolbar actions are customized with ctrl+alt+b, ctrl+alt+i, and ctrl+alt+u respectively.

import { RichTextEditorModule } from '@syncfusion/ej2-angular-richtexteditor'
import { Component, ViewChild } from '@angular/core';
import { ToolbarService, LinkService, ImageService, HtmlEditorService, QuickToolbarService, PasteCleanupService, RichTextEditorComponent } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
    imports: [RichTextEditorModule],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-richtexteditor #defaultRTE id='defaultRTE' [(value)]='value' [toolbarSettings]='tools' [keyConfig]='keyConfig' (created)='onCreate()'></ejs-richtexteditor>`,
    providers: [ToolbarService, LinkService, ImageService, QuickToolbarService, PasteCleanupService, HtmlEditorService]
})

export class AppComponent {
    @ViewChild('defaultRTE') rteObj: RichTextEditorComponent | undefined;

    public value: string = "<p>The Rich Text Editor component is a WYSIWYG (\"what you see is what you get\") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p></li><li><p>Capable of handling markdown editing.</p></li><li><p>Contains a modular library to load the necessary functionality on demand.</p></li><li><p>Provides a fully customizable toolbar.</p></li><li><p>Provides HTML view to edit the source directly for developers.</p></li><li><p>Supports third-party library integration.</p></li><li><p>Allows a preview of modified content before saving it.</p></li><li><p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager.</p></li><li><p>Creates bulleted and numbered lists.</p></li></ul>";
  
    public tools = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    };
    public keyConfig = {
        bold: 'ctrl+alt+b',
        italic: 'ctrl+alt+i',
        underline: 'ctrl+alt+u',
    }
    onCreate() {
        document.onkeyup = (e: KeyboardEvent) => {
            if (e.altKey && (e.key === 't' || e.key === 'T')) {
                this.rteObj.focusIn();
            }
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Keyboard Support in Vue Rich Text Editor

The editor has full keyboard accessibility that includes shortcuts to open and other actions with toolbar items, drop-down lists, and dialogs.

HTML editor shortcut keys

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode as HTML.

Toolbar

The toolbar shortcuts allow quick navigation and interaction with the toolbar elements, including focusing, moving between tools, and executing actions like closing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 + F10
Move to the next tool , + F
Move to the previous tool , + F
Close dropdowns/menu and dialogs Esc Esc
Execute the currently focused tool action Enter, Space Enter, Space

Content editing and formatting

These keyboard shortcuts allow for quick access to content editing features like bold, italic, and text selection.

Actions Windows Mac
Select all content Ctrl + A + A
Insert a hard line break (a new paragraph) Enter Enter
Insert a soft line break (without starting a new paragraph) Shift + Enter + Enter
Make text bold Ctrl + B + B
Italicize text Ctrl + I + I
Apply strikethrough Ctrl + Shift + S + + S
Insert inline code Ctrl + ` + `
Create link Ctrl + K + K
Copy format painter Alt + Shift + C + + C
Paste format painter Alt + Shift + V + + V
Clear the copy format painter Esc Esc
Tab space (when enableTabKey is enabled) Tab Tab

Inserting

These shortcuts enable you to quickly insert tables, images, audio, and videos into your content.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E + + E
Open the insert image dialog Ctrl + Shift + I + + I
Open the insert audio dialog Ctrl + Shift + A + + A
Open the insert video dialog Ctrl + Alt + V + + V

Table cell

These shortcuts assist in navigating between table cells and managing table rows easily.

Actions Windows Mac
Move the selection to the next cell Tab Tab
Move the selection to the previous cell Shift + Tab + Tab
Insert a new table row (when in the last cell) Tab Tab
Navigate through the table (using arrow keys) , , , , , ,

Text manipulation

These shortcuts allow you to manipulate text, such as changing case or applying superscript/subscript formatting.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U + + U
Convert text to lowercase Ctrl + Shift + L + + L
Apply superscript Ctrl + Shift + = + + =
Apply subscript Ctrl + = + =

Alignment and formatting

These shortcuts help you quickly adjust text alignment and formatting, such as left, center, or right justification.

Actions Windows Mac
Align text to the center Ctrl + E + E
Justify text Ctrl + J + J
Align text to the left Ctrl + L + L
Align text to the right Ctrl + R + R

List and indentation

These shortcuts help with creating and adjusting ordered and unordered lists, and modifying indentations.

Actions Windows Mac
Increase indent Ctrl + ] + ]
Decrease indent Ctrl + [ + [
Create an ordered list Ctrl + Shift + O + + O
Create an unordered list Ctrl + Alt + O + + O

Clipboard operations

These shortcuts streamline copying, cutting, pasting, and pasting content as plain text.

Actions Windows Mac
Copy the selected content Ctrl + C + C
Cut the selected content Ctrl + X + X
Paste the copied or cut content Ctrl + V + V
Paste content as plain text Ctrl + Shift + V + + + V

Undo & redo

These shortcuts allow you to quickly undo and redo changes to your content.

Actions Windows Mac
Undo Ctrl + Z + Z
Redo Ctrl + Y + Y

Other actions

These miscellaneous shortcuts help with actions like toggling fullscreen, clearing formatting, and accessing the HTML source.

Actions PC Mac
View HTML source Ctrl + Shift + H + + H
Toggle full screen mode Ctrl + Shift + F + + F
Exit Full screen Esc Esc
Clear all formatting Ctrl + Shift + R + + R
<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" :toolbarSettings="toolbarData">
    <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user
      experience to create and update the content. Users can format their content using standard toolbar commands.</p>
    <p><b>Key features:</b></p>
    <ul>
      <li>
        <p>Provides IFRAME and DIV modes</p>
      </li>
      <li>
        <p>Capable of handling markdown editing.</p>
      </li>
      <li>
        <p>Contains a modular library to load the necessary functionality on demand.</p>
      </li>
      <li>
        <p>Provides a fully customizable toolbar.</p>
      </li>
      <li>
        <p>Provides HTML view to edit the source directly for developers.</p>
      </li>
      <li>
        <p>Supports third-party library integration.</p>
      </li>
      <li>
        <p>Allows preview of modified content before saving it.</p>
      </li>
      <li>
        <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
      </li>
    </ul>
  </ejs-richtexteditor>
</template>
<script setup>
import { provide, onMounted, ref } from "vue";
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter } from '@syncfusion/ej2-vue-richtexteditor';
const defaultRTE = ref(null);
const toolbarData = {
  items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
    'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
    'LowerCase', 'UpperCase', '|',
    'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
    'Outdent', 'Indent', '|',
    'CreateLink', 'Image', '|', 'FormatPainter', 'ClearFormat', 'Print',
    'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
}
onMounted(() => {
  document.addEventListener('keyup', onKeyUp);
});
const onKeyUp = (e) => {
  if (e.altKey && e.keyCode === 84) { /* t */
    // press alt+t to focus the component.
    defaultRTE.value.ej2Instances.focusIn();
  }
}
provide('richtexteditor', [Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter]);
</script>

<style>
@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" :toolbarSettings="toolbarData">
    <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
    <p><b>Key features:</b></p>
    <ul>
      <li>
        <p>Provides IFRAME and DIV modes</p>
      </li>
      <li>
        <p>Capable of handling markdown editing.</p>
      </li>
      <li>
        <p>Contains a modular library to load the necessary functionality on demand.</p>
      </li>
      <li>
        <p>Provides a fully customizable toolbar.</p>
      </li>
      <li>
        <p>Provides HTML view to edit the source directly for developers.</p>
      </li>
      <li>
        <p>Supports third-party library integration.</p>
      </li>
      <li>
        <p>Allows preview of modified content before saving it.</p>
      </li>
      <li>
        <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
      </li>
    </ul>
  </ejs-richtexteditor>
</template>
<script>
import { RichTextEditorComponent, Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter } from '@syncfusion/ej2-vue-richtexteditor';
export default {
name: "App",
components: {
"ejs-richtexteditor":RichTextEditorComponent
},
    data() {
      return {
        toolbarData: {
          items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'FormatPainter', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
        }
      }
    },
    mounted() {
      document.addEventListener('keyup', this.onKeyUp);
    },
    methods: {
      onKeyUp (e) {
        if (e.altKey && e.keyCode === 84) { /* t */
          // press alt+t to focus the component.
          this.$refs.defaultRTE.ej2Instances.focusIn();
        }
      }
    },
    provide: {
      richtexteditor: [Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter ]
    }
  }
</script>

<style>
@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>

Custom key config

You can able to customize the key config for the keyboard interaction of Rich Text Editor, using keyConfig property.

In the below sample, you have customize the bold, italic, underline toolbar action with ctrl+alt+b, ctrl+alt+i and ctrl+alt+u respectively.

<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" :value="rteValue" :toolbarSettings="toolbarData" :keyConfigs="keyConfig"></ejs-richtexteditor>
</template>

<script setup>
import { provide, onMounted, ref } from "vue";  
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

const defaultRTE = ref(null);
const rteValue = `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`;
const toolbarData = {
  items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
    'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
    'LowerCase', 'UpperCase', '|',
    'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
    'Outdent', 'Indent', '|',
    'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
    'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
};
const keyConfig = {
  'bold': 'ctrl+alt+b',
  'italic': 'ctrl+alt+i',
  'underline': 'ctrl+alt+u',
};
onMounted(() => {
  document.addEventListener('keyup', onKeyUp);
});
const onKeyUp = (e) => {
  if (e.altKey && e.keyCode === 84) { /* t */
    // press alt+t to focus the component.
    defaultRTE.value.ej2Instances.focusIn();
  }
}
provide('richtexteditor', [Toolbar, Link, Image, HtmlEditor, QuickToolbar]);
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" :value="rteValue" :toolbarSettings="toolbarData" :keyConfigs="keyConfig"></ejs-richtexteditor>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

export default {
  name: "App",
  components: {
    "ejs-richtexteditor": RichTextEditorComponent
  },
  data() {
    return {
      toolbarData: {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
          'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
          'LowerCase', 'UpperCase', '|',
          'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
          'Outdent', 'Indent', '|',
          'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
          'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
      },
      keyConfig: {
        'bold': 'ctrl+alt+b',
        'italic': 'ctrl+alt+i',
        'underline': 'ctrl+alt+u',
      },
      rteValue: `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`,
    }
  },
  mounted() {
    document.addEventListener('keyup', this.onKeyUp);
  },
  methods: {
    onKeyUp(e) {
      if (e.altKey && e.keyCode === 84) { /* t */
        // press alt+t to focus the component.
        this.$refs.defaultRTE.ej2Instances.focusIn();
      }
    }
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, HtmlEditor, QuickToolbar]
  }
}
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>

See also

Keyboard Support in React Rich Text Editor

The editor has full keyboard accessibility that includes shortcuts to open and other actions with toolbar items, drop-down lists, and dialogs.

HTML editor shortcut keys

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode as HTML.

Toolbar

The toolbar shortcuts allow quick navigation and interaction with the toolbar elements, including focusing, moving between tools, and executing actions like closing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 + F10
Move to the next tool , + F
Move to the previous tool , + F
Close dropdowns/menu and dialogs Esc Esc
Execute the currently focused tool action Enter, Space Enter, Space

Content editing and formatting

These keyboard shortcuts allow for quick access to content editing features like bold, italic, and text selection.

Actions Windows Mac
Select all content Ctrl + A + A
Insert a hard line break (a new paragraph) Enter Enter
Insert a soft line break (without starting a new paragraph) Shift + Enter + Enter
Make text bold Ctrl + B + B
Italicize text Ctrl + I + I
Apply strikethrough Ctrl + Shift + S + + S
Insert inline code Ctrl + ` + `
Create link Ctrl + K + K
Copy format painter Alt + Shift + C + + C
Paste format painter Alt + Shift + V + + V
Clear the copy format painter Esc Esc
Tab space (when enableTabKey is enabled) Tab Tab

Inserting

These shortcuts enable you to quickly insert tables, images, audio, and videos into your content.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E + + E
Open the insert image dialog Ctrl + Shift + I + + I
Open the insert audio dialog Ctrl + Shift + A + + A
Open the insert video dialog Ctrl + Alt + V + + V

Table cell

These shortcuts assist in navigating between table cells and managing table rows easily.

Actions Windows Mac
Move the selection to the next cell Tab Tab
Move the selection to the previous cell Shift + Tab + Tab
Insert a new table row (when in the last cell) Tab Tab
Navigate through the table (using arrow keys) , , , , , ,

Text manipulation

These shortcuts allow you to manipulate text, such as changing case or applying superscript/subscript formatting.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U + + U
Convert text to lowercase Ctrl + Shift + L + + L
Apply superscript Ctrl + Shift + = + + =
Apply subscript Ctrl + = + =

Alignment and formatting

These shortcuts help you quickly adjust text alignment and formatting, such as left, center, or right justification.

Actions Windows Mac
Align text to the center Ctrl + E + E
Justify text Ctrl + J + J
Align text to the left Ctrl + L + L
Align text to the right Ctrl + R + R

List and indentation

These shortcuts help with creating and adjusting ordered and unordered lists, and modifying indentations.

Actions Windows Mac
Increase indent Ctrl + ] + ]
Decrease indent Ctrl + [ + [
Create an ordered list Ctrl + Shift + O + + O
Create an unordered list Ctrl + Alt + O + + O

Clipboard operations

These shortcuts streamline copying, cutting, pasting, and pasting content as plain text.

Actions Windows Mac
Copy the selected content Ctrl + C + C
Cut the selected content Ctrl + X + X
Paste the copied or cut content Ctrl + V + V
Paste content as plain text Ctrl + Shift + V + + + V

Undo & redo

These shortcuts allow you to quickly undo and redo changes to your content.

Actions Windows Mac
Undo Ctrl + Z + Z
Redo Ctrl + Y + Y

Other actions

These miscellaneous shortcuts help with actions like toggling fullscreen, clearing formatting, and accessing the HTML source.

Actions PC Mac
View HTML source Ctrl + Shift + H + + H
Toggle full screen mode Ctrl + Shift + F + + F
Exit Full screen Esc Esc
Clear all formatting Ctrl + Shift + R + + R

[Class-component]

/**
 * Rich Text Editor - HTMLEditor KeyConfig sample
 */
import { RichTextEditorComponent, Inject, Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter} from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
class App extends React.Component {
    rteObj;
    toolbarSettings = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
        'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
        'LowerCase', 'UpperCase', '|',
        'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
        'Outdent', 'Indent', '|',
        'CreateLink', 'Image', '|', 'FormatPainter', 'ClearFormat', 'Print',
        'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    }
    docKeyUp(e) {
        if (e.altKey && e.keyCode === 84) { /* t */
            // press alt+t to focus the component.
            this.rteObj.focusIn();
        }
    }
    componentDidMount() {
        document.addEventListener('keyup', this.docKeyUp.bind(this));
    }
    render() {
        return (<RichTextEditorComponent ref={(richtexteditor) => { this.rteObj = richtexteditor; }} height={450} toolbarSettings={this.toolbarSettings}>
        <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content.
          Users can format their content using standard toolbar commands.</p>
        <p><b>Key features:</b></p>
        <ul>
          <li>
            <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
          </li>
          <li>
            <p>Capable of handling markdown editing.</p>
          </li>
          <li>
            <p>Contains a modular library to load the necessary functionality on demand.</p>
          </li>
          <li>
            <p>Provides a fully customizable toolbar.</p>
          </li>
          <li>
            <p>Provides HTML view to edit the source directly for developers.</p>
          </li>
          <li>
            <p>Supports third-party library integration.</p>
          </li>
          <li>
            <p>Allows preview of modified content before saving it.</p>
          </li>
          <li>
            <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
          </li>
          <li>
            <p>Contains undo/redo manager.</p>
          </li>
          <li>
            <p>Creates bulleted and numbered lists.</p>
          </li>
        </ul>
        <Inject services={[Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter]} />
      </RichTextEditorComponent>);
    }
}
export default App;
/**
 * Rich Text Editor - HTMLEditor KeyConfig sample
 */
import { RichTextEditorComponent, Inject, Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter} from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component<{},{}> {
  private rteObj: RichTextEditorComponent;

  private toolbarSettings: object = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
      'LowerCase', 'UpperCase', '|',
      'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
      'Outdent', 'Indent', '|',
      'CreateLink', 'Image', '|', 'FormatPainter', 'ClearFormat', 'Print',
      'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
  }

  public docKeyUp(e: any) {
    if (e.altKey && e.keyCode === 84) { /* t */
      // press alt+t to focus the component.
      this.rteObj.focusIn();
    }
  }

  public componentDidMount() {
    document.addEventListener('keyup', this.docKeyUp.bind(this));
  }

  public render() {
    return (
      <RichTextEditorComponent ref={(richtexteditor) => { this.rteObj = richtexteditor! }} height={450} toolbarSettings={this.toolbarSettings}>
        <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content.
          Users can format their content using standard toolbar commands.</p>
        <p><b>Key features:</b></p>
        <ul>
          <li>
            <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
          </li>
          <li>
            <p>Capable of handling markdown editing.</p>
          </li>
          <li>
            <p>Contains a modular library to load the necessary functionality on demand.</p>
          </li>
          <li>
            <p>Provides a fully customizable toolbar.</p>
          </li>
          <li>
            <p>Provides HTML view to edit the source directly for developers.</p>
          </li>
          <li>
            <p>Supports third-party library integration.</p>
          </li>
          <li>
            <p>Allows preview of modified content before saving it.</p>
          </li>
          <li>
            <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
          </li>
          <li>
            <p>Contains undo/redo manager.</p>
          </li>
          <li>
            <p>Creates bulleted and numbered lists.</p>
          </li>
        </ul>
        <Inject services={[Toolbar, HtmlEditor, Image, QuickToolbar, Link, FormatPainter]} />
      </RichTextEditorComponent>
    );
  }
}

export default App;

[Functional-component]

/**
 * Rich Text Editor - HTMLEditor KeyConfig sample
 */
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
function App() {
    let rteObj;
    let toolbarSettings = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    };
    function docKeyUp(e) {
        if (e.altKey && e.keyCode === 84) { /* t */
            // press alt+t to focus the component.
            rteObj.focusIn();
        }
    }
    function componentDidMount() {
        document.addEventListener('keyup', docKeyUp.bind(this));
    }
    return (<RichTextEditorComponent ref={(richtexteditor) => { rteObj = richtexteditor; }} height={450} toolbarSettings={toolbarSettings}>
      <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content.
        Users can format their content using standard toolbar commands.</p>
      <p><b>Key features:</b></p>
      <ul>
        <li>
          <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
        </li>
        <li>
          <p>Capable of handling markdown editing.</p>
        </li>
        <li>
          <p>Contains a modular library to load the necessary functionality on demand.</p>
        </li>
        <li>
          <p>Provides a fully customizable toolbar.</p>
        </li>
        <li>
          <p>Provides HTML view to edit the source directly for developers.</p>
        </li>
        <li>
          <p>Supports third-party library integration.</p>
        </li>
        <li>
          <p>Allows preview of modified content before saving it.</p>
        </li>
        <li>
          <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
        </li>
        <li>
          <p>Contains undo/redo manager.</p>
        </li>
        <li>
          <p>Creates bulleted and numbered lists.</p>
        </li>
      </ul>
      <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
    </RichTextEditorComponent>);
}
export default App;
/**
 * Rich Text Editor - HTMLEditor KeyConfig sample
 */
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App() {
  let rteObj: RichTextEditorComponent;
  let toolbarSettings: object = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
      'LowerCase', 'UpperCase', '|',
      'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
      'Outdent', 'Indent', '|',
      'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
      'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
  }

  function docKeyUp(e: any) {
    if (e.altKey && e.keyCode === 84) { /* t */
      // press alt+t to focus the component.
      rteObj.focusIn();
    }
  }

  function componentDidMount() {
    document.addEventListener('keyup', docKeyUp.bind(this));
  }

  return (
    <RichTextEditorComponent ref={(richtexteditor) => {rteObj = richtexteditor! }} height={450} toolbarSettings={toolbarSettings}>
      <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content.
        Users can format their content using standard toolbar commands.</p>
      <p><b>Key features:</b></p>
      <ul>
        <li>
          <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
        </li>
        <li>
          <p>Capable of handling markdown editing.</p>
        </li>
        <li>
          <p>Contains a modular library to load the necessary functionality on demand.</p>
        </li>
        <li>
          <p>Provides a fully customizable toolbar.</p>
        </li>
        <li>
          <p>Provides HTML view to edit the source directly for developers.</p>
        </li>
        <li>
          <p>Supports third-party library integration.</p>
        </li>
        <li>
          <p>Allows preview of modified content before saving it.</p>
        </li>
        <li>
          <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
        </li>
        <li>
          <p>Contains undo/redo manager.</p>
        </li>
        <li>
          <p>Creates bulleted and numbered lists.</p>
        </li>
      </ul>
      <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]} />
    </RichTextEditorComponent>
  );
}

export default App;

Custom key config

Customize the key config for the keyboard interaction of Rich Text Editor, using the keyConfig property.

In the below sample, you have customize the bold, italic, underline toolbar action with ctrl+alt+b, ctrl+alt+i and ctrl+alt+u respectively.

[Class-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
class App extends React.Component {
    rteObj;
    toolbarSettings = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    };
    rteValue = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";

    keyConfig = {
      bold: 'ctrl+alt+b',
      italic: 'ctrl+alt+i',
      underline: 'ctrl+alt+u',
    };
    docKeyUp(e) {
        if (e.altKey && e.keyCode === 84) { /* t */
            // press alt+t to focus the component.
            this.rteObj.focusIn();
        }
    }
    componentDidMount() {
        document.addEventListener('keyup', this.docKeyUp.bind(this));
    }
    render() {
        return (<RichTextEditorComponent value={this.rteValue} ref={(richtexteditor) => { this.rteObj = richtexteditor; }} height={450} toolbarSettings={this.toolbarSettings} keyConfig={this.keyConfig}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
      </RichTextEditorComponent>);
    }
}
export default App;
/**
 * Rich Text Editor - Custom KeyConfig Sample
 */
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar  } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component<{},{}> {
  private rteObj: RichTextEditorComponent;

  private toolbarSettings: object = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
      'LowerCase', 'UpperCase', '|',
      'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
      'Outdent', 'Indent', '|',
      'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
      'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
  }

  private rteValue: string = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";

  private keyConfig: object = {
    bold: 'ctrl+alt+b',
    italic: 'ctrl+alt+i',
    underline: 'ctrl+alt+u',
  }

  public docKeyUp(e: any) {
    if (e.altKey && e.keyCode === 84) { /* t */
      // press alt+t to focus the component.
      this.rteObj.focusIn();
    }
  }

  public componentDidMount() {
    document.addEventListener('keyup', this.docKeyUp.bind(this));
  }

  public render() {
    return (
      <RichTextEditorComponent value={this.rteValue} ref={(richtexteditor) => { this.rteObj = richtexteditor! }} height={450} toolbarSettings={this.toolbarSettings} keyConfig={this.keyConfig}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]} />
      </RichTextEditorComponent>
    );
  }
}

export default App;

[Functional-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
function App() {
    let rteObj;
    let rteValue = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
    let toolbarSettings = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
            'LowerCase', 'UpperCase', '|',
            'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
            'Outdent', 'Indent', '|',
            'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
            'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
    };
    let keyConfig = {
      bold: 'ctrl+alt+b',
      italic: 'ctrl+alt+i',
      underline: 'ctrl+alt+u',
    };
    function docKeyUp(e) {
        if (e.altKey && e.keyCode === 84) { /* t */
            // press alt+t to focus the component.
            rteObj.focusIn();
        }
    }
    function componentDidMount() {
        document.addEventListener('keyup', docKeyUp.bind(this));
    }
    return (<RichTextEditorComponent value={rteValue} ref={(richtexteditor) => { rteObj = richtexteditor; }} height={450} toolbarSettings={toolbarSettings} keyConfig={keyConfig}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
      </RichTextEditorComponent>);
}
export default App;
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar  } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App() {
  let rteObj: RichTextEditorComponent;
  let rteValue: string = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
  let toolbarSettings: object = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
      'LowerCase', 'UpperCase', '|',
      'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
      'Outdent', 'Indent', '|',
      'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
      'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
  }

  let keyConfig: object = {
    bold: 'ctrl+alt+b',
    italic: 'ctrl+alt+i',
    underline: 'ctrl+alt+u',
  }

  function docKeyUp(e: any) {
    if (e.altKey && e.keyCode === 84) { /* t */
      // press alt+t to focus the component.
      rteObj.focusIn();
    }
  }

  function componentDidMount() {
    document.addEventListener('keyup', docKeyUp.bind(this));
  }

    return (
      <RichTextEditorComponent value={rteValue} ref={(richtexteditor) => { rteObj = richtexteditor! }} height={450} toolbarSettings={toolbarSettings} keyConfig={keyConfig}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]} />
      </RichTextEditorComponent>
    );
}

export default App;